## event-db

event-db —

## Synopsis

    #define     SECONDS_IN_DAY
    #define     MON
    #define     TUE
    #define     WED
    #define     THU
    #define     FRI
    #define     SAT
    #define     SUN
    enum        recur_type_t;
    #define     FLAG_UNTIMED
    #define     FLAG_ALARM
    #define     FLAG_TENTATIVE
    #define     FLAG_CLONE
    #define     FLAG_RECUR
    struct      calendar_time_s;
    typedef     calendar_time_t;
    #define     EVENT_DB_USE_MEMCHUNK
    #define     event_db__alloc_event           ()
    #define     event_db__alloc_recur           ()
    #define     event_db__free_event            (_x)
    #define     event_db__free_recur            (_x)
    gboolean    event_db_start                  (void);
    gboolean    event_db_refresh                (void);
    gboolean    event_db_stop                   (void);
    gboolean    event_db_add                    (event_t);
    gboolean    event_db_remove                 (event_t);
    gboolean    event_db_flush                  (event_t ev);
    event_t     event_db_clone                  (event_t);
    event_t     event_db_new                    (void);
    event_t     event_db_find_by_uid            (guint uid);
    void        event_db_destroy                (event_t);
    event_details_t event_db_alloc_details      (event_t);
    event_details_t event_db_get_details        (event_t);
    void        event_db_forget_details         (event_t);
    GSList*     event_db_list_for_period        (time_t start,
                                                 time_t end);
    GSList*     event_db_list_alarms_for_period (time_t start,
                                                 time_t end);
    GSList*     event_db_list_for_future        (time_t start,
                                                 guint max);
    GSList*     event_db_untimed_list_for_period
                                                (time_t start,
                                                 time_t end,
                                                 gboolean yes);
    void        event_db_list_destroy           (GSList*);
    recur_t     event_db_get_recurrence         (event_t ev);
    void        event_db_clear_recurrence       (event_t ev);

## Description

## Details

### SECONDS_IN_DAY

    #define     SECONDS_IN_DAY

### MON

    #define     MON

### TUE

    #define     TUE

### WED

    #define     WED

### THU

    #define     THU

### FRI

    #define     FRI

### SAT

    #define     SAT

### SUN

    #define     SUN

### enum recur_type_t

    typedef enum
    {
      RECUR_NONE,
      RECUR_DAILY,
      RECUR_WEEKLY,
      RECUR_MONTHLY,
      RECUR_YEARLY
    } recur_type_t;

### FLAG_UNTIMED

    #define     FLAG_UNTIMED

### FLAG_ALARM

    #define     FLAG_ALARM

### FLAG_TENTATIVE

    #define     FLAG_TENTATIVE

### FLAG_CLONE

    #define     FLAG_CLONE

### FLAG_RECUR

    #define     FLAG_RECUR

### struct calendar_time_s

    struct calendar_time_s {
      GDate date;
      GTime time;
    };

### calendar_time_t

### EVENT_DB_USE_MEMCHUNK

    #define     EVENT_DB_USE_MEMCHUNK

### event_db__alloc_event()

    #define     event_db__alloc_event()

### event_db__alloc_recur()

    #define     event_db__alloc_recur()

### event_db__free_event()

    #define     event_db__free_event(_x)

`_x` : |

### event_db__free_recur()

    #define     event_db__free_recur(_x)

`_x` : |

### event_db_start ()

    gboolean    event_db_start                  (void);

Returns : |

### event_db_refresh ()

    gboolean    event_db_refresh                (void);

Returns : |

### event_db_stop ()

    gboolean    event_db_stop                   (void);

Returns : |

### event_db_add ()

    gboolean    event_db_add                    (event_t);

`Param1` : |
Returns : |

### event_db_remove ()

    gboolean    event_db_remove                 (event_t);

`Param1` : |
Returns : |

### event_db_flush ()

    gboolean    event_db_flush                  (event_t ev);

`ev` : |
Returns : |

### event_db_clone ()

    event_t     event_db_clone                  (event_t);

`Param1` : |
Returns : |

### event_db_new ()

    event_t     event_db_new                    (void);

Returns : |

### event_db_find_by_uid ()

    event_t     event_db_find_by_uid            (guint uid);

`uid` : |
Returns : |

### event_db_destroy ()

    void        event_db_destroy                (event_t);

`Param1` : |

### event_db_alloc_details ()

    event_details_t event_db_alloc_details      (event_t);

`Param1` : |
Returns : |

### event_db_get_details ()

    event_details_t event_db_get_details        (event_t);

`Param1` : |
Returns : |

### event_db_forget_details ()

    void        event_db_forget_details         (event_t);

`Param1` : |

### event_db_list_for_period ()

    GSList*     event_db_list_for_period        (time_t start,
                                                 time_t end);

`start` : |
`end` : |
Returns : |

### event_db_list_alarms_for_period ()

    GSList*     event_db_list_alarms_for_period (time_t start,
                                                 time_t end);

`start` : |
`end` : |
Returns : |

### event_db_list_for_future ()

    GSList*     event_db_list_for_future        (time_t start,
                                                 guint max);

`start` : |
`max` : |
Returns : |

### event_db_untimed_list_for_period ()

    GSList*     event_db_untimed_list_for_period
                                                (time_t start,
                                                 time_t end,
                                                 gboolean yes);

`start` : |
`end` : |
`yes` : |
Returns : |

### event_db_list_destroy ()

    void        event_db_list_destroy           (GSList*);

`Param1` : |

### event_db_get_recurrence ()

    recur_t     event_db_get_recurrence         (event_t ev);

`ev` : |
Returns : |

### event_db_clear_recurrence ()

    void        event_db_clear_recurrence       (event_t ev);

`ev` : |